@import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap');

*{
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    font-family: "Rajdhani", sans-serif;
}
body{
    width: 100vw;
    height: 100vh;
    background-color: rgb(23, 22, 22);
    display: flex;
    align-items: center;
    justify-content: center;
}
.container{
    width: 70%;
    height: 90%;
    background: linear-gradient( to top, rgba(4, 160, 177, 0.11), rgba(240, 188, 240, 0.692));
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    box-shadow: 2px 2px 10px rgb(4, 160, 177) , -2px -2px 10px rgb(240, 188, 240);
    border: none;
    border-radius: 30px;
    padding: 10px;
    box-sizing: border-box;
    gap: 20px;

}

h1{
    font-size: 40px;
    text-shadow: 2px 2px 10px rgb(4, 160, 177);
}
.input{
    width: 90%;
    height: 30%;
    background: linear-gradient(to right , rgb(3,19,22) , rgb(160, 161, 235));
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: column;
    color: aliceblue;
    font-size: 25px;
    border-radius: 20px;
}
#input{
    width: 70%;
    height: 40px;
    background-color: rgba(10, 46, 49, 0.68);
    border: none;
    border-radius: 20px;
    box-shadow: 2px 2px 10px rgb(4, 160, 177) , -2px -2px 10px rgb(240, 188, 240);
    font-size: 20px;
    padding: 15px;
    color: aliceblue;
    box-sizing: border-box;

}
#btn{
    width: 200px;
    height: 50px;
    background-color: rgba(10, 46, 49, 0.68);
    border: none;
    border-radius: 20px;
    font-size: 20px;
    color: aliceblue;
    box-shadow: 2px 2px 10px rgb(4, 160, 177);
    transition: all 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    cursor: pointer;
}
#btn:hover{
    background: transparent;
}

.output{
    width: 90%;
    height: 55%;
    display: flex;
    align-items: center;
    justify-content: space-around;
   
}

.image{
    width: 70%;
    height: 100%;
    background: linear-gradient(to right , rgb(3, 19, 23) , rgb(160, 161, 235));
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 20px;
    position: relative;

}
.btns{
    width: 25%;
    height: 100%;
    background: linear-gradient(to right , rgb(3, 19, 23) , rgb(160, 161, 235));
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 20px;
    flex-direction: column;
    gap: 90px;

}
#download{
    width: 150px;
    height: 50px;
    background-color: rgba(10, 46, 49, 0.68);
    border: none;
    border-radius: 20px;
    font-size: 20px;
    color: aliceblue;
    box-shadow: 2px 2px 10px rgb(4, 160, 177);
    transition: all 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    cursor: pointer;
}
#reset{
    width: 150px;
    height: 50px;
    background-color: rgba(10, 46, 49, 0.68);
    border: none;
    border-radius: 20px;
    font-size: 20px;
    color: aliceblue;
    box-shadow: 2px 2px 10px rgb(4, 160, 177);
    transition: all 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    cursor: pointer;
}
#download:hover{
    background: transparent;
}
#reset:hover{
    background: transparent;
}
#image{
    width: 65%;
    height: 90%;
    background-size: cover;
    border: none;
    border-radius: 20px;
    display: none;
}
#loading{
    position:absolute;
    width: 10%;
    filter: drop-shadow(2px 2px 10px black);
    display: none;

}
 @media (max-width : 1200px) {
    
 
}
@media (max-width : 900px) {
    
    .output {
        flex-direction: column;}
    #image{
        width: 50%;
    }
    .image {
        
        width: 100%;
        height: 64%;
    }
    .btns{
        width: 100%;
        height: 25%;
        flex-direction: row;
    }
    
} 
@media (max-width : 570px) {
    
    h1 {
        font-size: 30px;
    }
    .input{
        font-size: 20px;
    }
    #input {
        font-size: 15px;
    }
    #image {
        width: 60%;
    }
}
@media (max-width : 450px){
    .container{
        width: 100%;
        height: 100%;
        border-radius: 0%;
    }
}
@media (max-width : 450px) {

    .container{
        width: 100%;
        height: 100%;
        border-radius: 0px;

    }
    h1 {
        font-size: 22px;
    }
    .input {
        font-size: 15px;
    }
    #input {
        width: 90%;
        font-size: 12px;
    }
    #btn {
        width: 150px;
        height: 35px;
        font-size: 15px;
    }
    
    .btns{
       justify-content: space-around;
       gap: 0px; 
    }
    #download {
        width: 150px;
        height: 35px;
        font-size: 15px;
    }
    #reset {
        width: 150px;
        height: 35px;
        font-size: 15px;
    }
}
 
